Information Exposure Affecting samba package, versions [0,]


0.0
medium
  • Attack Complexity

    Low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-UNMANAGED-SAMBA-2961659

  • published

    28 Jul 2022

  • disclosed

    27 Jul 2022

  • credit

    Joseph Sutton and Andrew Bartlett of Catalyst

How to fix?

A fix was pushed into the master branch but not yet published.

Overview

Affected versions of this package are vulnerable to Information Exposure in the AD LDAP server. The AD DC database audit logging module can access LDAP message values freed by a preceding database module. This issue is only possible when modifying certain privileged attributes, such as userAccountControl.